(function() {
	// Hide search bar
    $("#global-search-container").hide();
	// Hide tabs' headers
	$("div.module-header").hide();
})();

function blacklist_add(element) {
    var row_count = $("#ssm_blacklist_table tbody tr").length;
    let fields = [ `blacklist[${row_count}][number]`, `blacklist[${row_count}][description]` ]
	fields = fields.map(function (field) {
		return $("<td>").append($("<input>").attr("type", "text").attr("name", field));
	});
	fields[0].prepend($("<input>").attr("type", "hidden").attr("name", `blacklist[${row_count}][id]`));
    button = $("<a>")
		.click(function () {
			blacklist_del(this);
		})
		.append(
			$("<i>")
				.addClass("fa fa-trash fa-2x")
		);
	row = $("<tr>").append(fields).append($("<td>").append(button));
	$(element).closest("table").find("tbody").append(row);
}

function blacklist_del(element) {
    row = $(element).closest("tr");
	row.remove();
}
