use `ombutel`;

-- Add 'ssm ring_groups' module / action / role_privileges / menu
insert ignore into `ombu_modules` (`name`, `has_dialplan`, `admin`, `version`, `portal`)
    values ("ssm_ring_groups", "no", "no", "1.0", "no");
set @ssm_ring_groups_module = last_insert_id();

insert ignore into `ombu_actions` (`name`, `displayname`, `function`)
    values ('ssm-ring-groups', 'menu.ssm_ring_groups', 'modules\\ssm_ring_groups\\ssm_ring_groups::open');

insert ignore into `ombu_role_privileges` (`role_id`, `module_id`, `allow_view`, `allow_add`, `allow_edit`, `allow_delete`)
    select `role_id`, @ssm_ring_groups_module, 'yes', 'yes', 'yes', 'yes'
        from `ombu_roles`
        where `superadmin` = 'yes' or `ssm` = 'yes';

insert ignore into `ombu_menu` (`label`, `parent_id`, `module_id`, `sort`, `action`)
    select "menu.ssm_ring_groups", `parent`.`menu_id`, @ssm_ring_groups_module, 2, "ssm-ring-groups"
        from `ombutel`.`ombu_menu` as `parent` where `label` = 'menu.ssm_config';
