use `ombutel`;

-- Add 'ssm ivr' module / action / role_privileges / menu
insert ignore into `ombu_modules` (`name`, `has_dialplan`, `admin`, `version`, `portal`)
    values ("ssm_ivr", "no", "no", "1.0", "no");
set @ssm_ivr_module = last_insert_id();

insert ignore into `ombu_actions` (`name`, `displayname`, `function`)
    values ('ssm-ivr', 'menu.ssm_ivr', 'modules\\ssm_ivr\\ssm_ivr::open');

insert ignore into `ombu_role_privileges` (`role_id`, `module_id`, `allow_view`, `allow_add`, `allow_edit`, `allow_delete`)
    select `role_id`, @ssm_ivr_module, 'yes', 'yes', 'yes', 'yes'
        from `ombu_roles`
        where `superadmin` = 'yes' or `ssm` = 'yes';

insert ignore into `ombu_menu` (`label`, `parent_id`, `module_id`, `sort`, `action`)
    select "menu.ssm_ivr", `parent`.`menu_id`, @ssm_ivr_module, 3, "ssm-ivr"
        from `ombutel`.`ombu_menu` as `parent` where `label` = 'menu.ssm_config';
